Package com.plannaplan.entities

# Class Commision

java.lang.Object
com.plannaplan.entities.Commision

    @Entity
    public class Commision
    extends java.lang.Object

Entity of Commision grouping of state associated about commison and owner_id

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Commision()` |
`Commision​(User user)` |
`Commision​(User user, User commiter)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<Assignment>` | `getAssignments()` | Assigments getter
`User` | `getCommisionCommiter()` |
`java.sql.Timestamp` | `getCommisionDate()` | CommisionDate getter
`User` | `getCommisionOwner()` | User of given commision getter
`java.lang.Long` | `getId()` | Id getter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Commision

public Commision​(User user)

Parameters:
  `user` - owner of commission. Can not be null otherwise saving commision will fail.

### Commision

public Commision​(User user, User commiter)

Parameters:
  `user` - user whose shedule is being commited
  `commiter` - user that commited new schedule

### Commision

public Commision()

## Method Details

### getId

public java.lang.Long getId()
Id getter

Returns:
  id id of commision

### getCommisionDate

public java.sql.Timestamp getCommisionDate()
CommisionDate getter

Returns:
  commisionDate

### getCommisionOwner

public User getCommisionOwner()
User of given commision getter

Returns:
  User commisionOwner

### getCommisionCommiter

public User getCommisionCommiter()

Returns:
  User entity that created commision (can be owner or deanery user)

### getAssignments

public java.util.List<Assignment> getAssignments()
Assigments getter

Returns:
  List of assignments